Skip to main content
PUT
/
v1
/
account-mappings
/
{accountMappingId}
Update Account Mapping
curl --request PUT \
  --url https://localtest.mindbridge.ai/api/v1/account-mappings/{accountMappingId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "accountTags": [
    "<string>"
  ],
  "code": "<string>"
}
'
{
  "version": 123,
  "accountTags": [
    "<string>"
  ],
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "engagementId": {},
  "account": "<string>",
  "accountDescription": "<string>",
  "code": "<string>",
  "status": "MANUAL",
  "usedByAnalysisSources": [
    {}
  ],
  "fundId": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountMappingId
string
required

Body

application/json
version
integer<int64>
required

The data integrity version, to ensure data consistency.

accountTags
string[]
required

A list of account tags associated with this account.

Minimum string length: 1
Pattern: \s*\S+.*
code
string

The account grouping code mapped to this account.

Response

OK

version
integer<int64>
required

The data integrity version, to ensure data consistency.

accountTags
string[]
required

A list of account tags associated with this account.

Minimum string length: 1
Pattern: \s*\S+.*
id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

engagementId
object

Identifies the associated engagement.

account
string

The account name as provided in the source data.

accountDescription
string

The description of the account as provided in the source data.

code
string

The account grouping code mapped to this account.

status
enum<string>

Indicates the current status of the account mapping.

Available options:
MANUAL,
MAC_CODE,
MODIFIED_MAC,
UNVERIFIED,
VERIFIED,
INFERRED,
UNMAPPED,
USED,
UNUSED
usedByAnalysisSources
object[]

A list of analysis sources that use this account.

fundId
object

The fund that includes this account.